---
apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: grafana  
  namespace: monitoring
  labels:
    app: grafana  
  annotations:
    cert-manager.io/acme-challenge-type: http01
    cert-manager.io/cluster-issuer: "letsencrypt-production"    
    kubernetes.io/ingress.class: nginx
    kubernetes.io/tls-acme: "true"

spec:
  rules:
  - host: grafana.robocraftlab.ru
    http:
      paths:
      - backend:
          serviceName: prometheus-grafana
          servicePort: 80
        path: /
  tls:
  - hosts:
    - grafana.robocraftlab.ru
    secretName: grafana-tls-v2
# status:
#   loadBalancer:
#     ingress:
#     - ip: 34.89.128.146


---
apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: prometheus  
  namespace: monitoring
  annotations:
    # certmanager.k8s.io/acme-challenge-type: http01
    # certmanager.k8s.io/cluster-issuer: letsencrypt-production
    kubernetes.io/ingress.class: nginx
    #kubernetes.io/tls-acme: "true"
  labels:
    app: prometheus
spec:
  rules:
  - host: prometheus.robocraftlab.ru
    http:
      paths:
      - backend:
          serviceName: prometheus-prometheus-oper-prometheus
          servicePort: 9090
        path: /
